# NATS Streaming Server

NATS Streaming is an extremely performant, lightweight reliable streaming platform built on [NATS](https://nats.io).

[![License][License-Image]][License-Url] [![ReportCard][ReportCard-Image]][ReportCard-Url] [![Build][Build-Status-Image]][Build-Status-Url] [![Release][Release-Image]][Release-Url] [![Coverage][Coverage-Image]][Coverage-Url]

# WARNING:  Deprecation Notice :warning:

The NATS Streaming Server is being deprecated.  Critical bug fixes and security fixes will be applied until June of 2023.  NATS enabled applications requiring persistence should use [JetStream](https://docs.nats.io/nats-concepts/jetstream).

## Documentation

* [Official documentation](https://docs.nats.io/legacy/stan)

## Clients

You can find [here](https://nats.io/download/) the list of NATS Streaming clients supported by Synadia. There are also links to community-contributed clients.

## Contact

* [Twitter](https://twitter.com/nats_io): Follow us on Twitter!
* [Google Groups](https://groups.google.com/forum/#!forum/natsio): Where you can ask questions
* [Slack](https://natsio.slack.com): To join go [here](https://slack.nats.io). You can ask questions to our maintainers and to the rich and active community.

## Contributing

If you are interested in contributing to NATS, read about our...

* [Contributing guide](https://nats.io/community/#contribute)
* [Report issues or propose Pull Requests](https://github.com/nats-io/nats-streaming-server)

## Security

If you've found a vulnerability or a potential vulnerability in the NATS server, please let us know at
[nats-security](mailto:security@nats.io).

## License

Unless otherwise noted, the NATS source files are distributed
under the Apache Version 2.0 license found in the LICENSE file.


[License-Url]: https://www.apache.org/licenses/LICENSE-2.0
[License-Image]: https://img.shields.io/badge/License-Apache2-blue.svg
[Build-Status-Url]: https://travis-ci.com/github/nats-io/nats-streaming-server
[Build-Status-Image]: https://travis-ci.com/nats-io/nats-streaming-server.svg?branch=main
[Coverage-Url]: https://coveralls.io/r/nats-io/nats-streaming-server?branch=main
[Coverage-image]: https://coveralls.io/repos/github/nats-io/nats-streaming-server/badge.svg?branch=main&t=kIxrDE
[ReportCard-Url]: http://goreportcard.com/report/nats-io/nats-streaming-server
[ReportCard-Image]: http://goreportcard.com/badge/github.com/nats-io/nats-streaming-server
[Release-Url]: https://github.com/nats-io/nats-streaming-server/releases/tag/v0.25.6
[Release-image]: https://img.shields.io/badge/release-v0.25.6-1eb0fc.svg
[github-release]: https://github.com/nats-io/nats-streaming-server/releases/
